diff options
| author | Junio C Hamano <gitster@pobox.com> | 2010-01-30 16:03:10 -0800 |
|---|---|---|
| committer | Junio C Hamano <gitster@pobox.com> | 2010-01-30 16:03:10 -0800 |
| commit | 00d3278c8534a8244ae3447189401111e017fd5d (patch) | |
| tree | f1c19903bc10ffe4816642040080fb6cfd5da376 /templates/hooks--commit-msg.sample | |
| parent | b9b727ddb3c9e005bc4e9af0b990b6ef06d7f621 (diff) | |
| parent | b319ef70a94731a5c6f18d07a49d5dda3f06f5d3 (diff) | |
| download | git-00d3278c8534a8244ae3447189401111e017fd5d.tar.xz | |
Merge commit 'b319ef7' into jc/maint-fix-test-perm
* commit 'b319ef7': (8132 commits)
Add a small patch-mode testing library
git-apply--interactive: Refactor patch mode code
t8005: Nobody writes Russian in shift_jis
Fix severe breakage in "git-apply --whitespace=fix"
Update release notes for 1.6.4
After renaming a section, print any trailing variable definitions
Make section_name_match start on '[', and return the length on success
send-email: detect cycles in alias expansion
Show the presence of untracked files in the bash prompt.
SunOS grep does not understand -C<n> nor -e
Fix export_marks() error handling.
git repack: keep commits hidden by a graft
Add a test showing that 'git repack' throws away grafted-away parents
git branch: clean up detached branch handling
git branch: avoid unnecessary object lookups
git branch: fix performance problem
git svn: fix shallow clone when upstream revision is too new
do_one_ref(): null_sha1 check is not about broken ref
configure.ac: properly unset NEEDS_SSL_WITH_CRYPTO when sha1 func is missing
janitor: useless checks before free
...
Diffstat (limited to 'templates/hooks--commit-msg.sample')
| -rwxr-xr-x | templates/hooks--commit-msg.sample | 24 |
1 files changed, 24 insertions, 0 deletions
diff --git a/templates/hooks--commit-msg.sample b/templates/hooks--commit-msg.sample new file mode 100755 index 0000000000..6ef1d29d09 --- /dev/null +++ b/templates/hooks--commit-msg.sample @@ -0,0 +1,24 @@ +#!/bin/sh +# +# An example hook script to check the commit log message. +# Called by git-commit with one argument, the name of the file +# that has the commit message. The hook should exit with non-zero +# status after issuing an appropriate message if it wants to stop the +# commit. The hook is allowed to edit the commit message file. +# +# To enable this hook, rename this file to "commit-msg". + +# Uncomment the below to add a Signed-off-by line to the message. +# Doing this in a hook is a bad idea in general, but the prepare-commit-msg +# hook is more suited to it. +# +# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p') +# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1" + +# This example catches duplicate Signed-off-by lines. + +test "" = "$(grep '^Signed-off-by: ' "$1" | + sort | uniq -c | sed -e '/^[ ]*1[ ]/d')" || { + echo >&2 Duplicate Signed-off-by lines. + exit 1 +} |
